<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<c:import url="_layout_head.jsp" />

<h2>Link's Detail</h2>

<div id="linkaction">
	<a href="<c:url value="/" />" class="btn">Back to Home</a>
	<a href="<c:url value="/_delete?link=${link.linkId.toString(link.linkId, 36)}" />" class="btn">Delete</a>
</div>

<table class="detail">
	<tr>
		<td>Description:</td>
		<td><c:out value="${link.name}" /></td>
	</tr>
	<tr>
		<td>Creation Date:</td>
		<td><c:out value="${link.creationDate}" /></td>
	</tr>
	<tr>
		<td>Shortened URL:</td>
		<td><c:out value="${baseUrl}/${link.linkId.toString(link.linkId, 36)}" /></td>
	</tr>
	<tr>
		<td>Original URL:</td>
		<td><c:out value="${link.url}" /></td>
	</tr>
	<tr>
		<td>Enabled:</td>
		<td><a href="<c:url value="/_toggle?link=${link.linkId.toString(link.linkId, 36)}" />" title="Enable/Disable the link" class="switch <c:choose><c:when test="${link.enabled}">on</c:when><c:otherwise>off</c:otherwise></c:choose>"><span></span></a></td>
	</tr>
</table>

<c:if test="${visitors.size() > 0}">
	<div id="referrers">
		<h2>Visitors</h2>
		<div id="clickcount">
			<strong><c:out value="${visitors.size()}" /></strong> <span>Visitors</span>
		</div>
		<table>
			<tr>
				<th>Date</th>
				<th>Country</th>
				<th>Referrer</th>
			</tr>
			<c:forEach var="visitor" items="${visitors}">
			<tr>
				<td><c:out value="${visitor.date}" /></td>
				<td><c:out value="${visitor.country}" /></td>
				<td class="ellipse"><c:out value="${visitor.referer}" /></td>
			</tr>
			</c:forEach>
		</table>
	</div>
</c:if>

<c:import url="_layout_foot.jsp" />
