<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<c:import url="_layout_head.jsp" />

<div class="block">
	<h2>New Link</h2>
	<div class="block_content">
		<form action="<c:url value="/_add" />" method="post">
			<div class="form">
				<div class="field">
					<span><label for="name">Description:</label></span>
					<span><input type="text" id="name" name="name" /></span>
				</div>
				<div class="field">
					<span><label for="url">URL:</label></span>
					<span><input type="text" id="url" name="url" value="http://" /></span>
				</div>
			</div>
			<div class="button">
				<input type="submit" value="Shorten!" />
			</div>
		</form>
	</div>
</div>

<c:if test="${links.size() > 0}">
	<div id="links">
		<h2>Your shortened links</h2>
		<table>
			<tr>
				<th></th>
				<th>Description</th>
				<th>Shortened URL</th>
				<th>Original URL</th>
				<th></th>
			</tr>
			<c:forEach var="link" items="${links}">
			<tr<c:if test="${link.enabled == false}"> class="disabled"</c:if>>
				<td><a href="<c:url value="/_toggle?link=${link.linkId.toString(link.linkId, 36)}" />" title="Enable/Disable the link" class="switch <c:choose><c:when test="${link.enabled}">on</c:when><c:otherwise>off</c:otherwise></c:choose>"><span></span></a></td>
				<td><c:out value="${link.name}" /></td>
				<td><c:out value="${baseUrl}/${link.linkId.toString(link.linkId, 36)}" /></td>
				<td class="ellipse"><c:out value="${link.url}" /></td>
				<td>
					<a href="<c:url value="/_detail?link=${link.linkId.toString(link.linkId, 36)}" />" class="btn">Detail</a>
				</td>
			</tr>
			</c:forEach>
		</table>
	</div>
</c:if>

<c:import url="_layout_foot.jsp" />