/*
 *  SupLink - URL Shortener
 *  
 *  Copyright (C) 2013  Fabien LOISON <http://www.flogisoft.com/>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package fr.flozz.supinfo.suplink.filters;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.annotation.WebFilter;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;


@WebFilter(urlPatterns={"/_logout", "/_add", "/_toggle", "/_delete", "/_detail"})
public class RestrictedArea implements Filter {
	
	@Override
	public void init(FilterConfig arg0) throws ServletException {
		// pass
	}
	
	@Override
	public void destroy() {
		// pass
	}

	@Override
	public void doFilter(ServletRequest request_, ServletResponse response_, 
			FilterChain chain) throws IOException, ServletException {
		// Cast...
		HttpServletRequest request = (HttpServletRequest) request_;
		HttpServletResponse response = (HttpServletResponse) response_;
		// Logged?
		HttpSession session = request.getSession();
		if (session.getAttribute("userId") == null) {
			response.sendRedirect("./");
		}
		//
		chain.doFilter(request, response);
	}
}
