/*
 *  SupLink - URL Shortener
 *  
 *  Copyright (C) 2013  Fabien LOISON <http://www.flogisoft.com/>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package fr.flozz.supinfo.suplink.helpers;

import java.security.NoSuchAlgorithmException;

public class Password {
	
	public static String hash(String password) {
		// Make hash
		java.security.MessageDigest sha1 = null;
		try {
			sha1 = java.security.MessageDigest.getInstance("SHA-1");
		} catch (NoSuchAlgorithmException e) {
			e.printStackTrace();
		}
		sha1.reset();
		sha1.update(password.getBytes());
		byte[] digest = sha1.digest();
		// Convert to string
		StringBuffer buff = new StringBuffer(digest.length * 2);
		for (int i=0 ; i<digest.length ; i++) {
			int c = digest[i] & 0xff;
			if (c < 16) {
				buff.append(0);
			}
			else
			{
				buff.append(Integer.toHexString(c));
			}
		}
		//
		return buff.toString();
	}

}
