/*
 *  SupLink - URL Shortener
 *  
 *  Copyright (C) 2013  Fabien LOISON <http://www.flogisoft.com/>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package fr.flozz.supinfo.suplink.servlets;

import java.io.IOException;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import fr.flozz.supinfo.suplink.entities.User;
import fr.flozz.supinfo.suplink.helpers.Password;


@WebServlet("/_login")
public class Login extends HttpServlet {
	
	private EntityManagerFactory emFactory;

	@Override
	public void init(ServletConfig config) throws ServletException {
		this.emFactory = Persistence.createEntityManagerFactory("SupLink-PU");
	}
	
	@Override
	public void destroy() {
		this.emFactory.close();
	}
	
	@Override
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		EntityManager em = this.emFactory.createEntityManager();
		HttpSession session = request.getSession();
		
		Query query = em.createQuery("SELECT user FROM User user WHERE email = :email AND password = :password");
		query.setParameter("email", request.getParameter("email"));
		query.setParameter("password", Password.hash(request.getParameter("password")));
		List<User> users = query.getResultList();
		
		if (users.size() == 1)
		{
			session.setAttribute("userId", users.get(0).getUserId());
			session.setAttribute("email", users.get(0).getEmail());
		}
		else
		{
			session.setAttribute("errorMsg", "Wrong username or password.");
		}
		
		response.sendRedirect("./");
	}
}